/* style css*/


@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Italiana&display=swap');


:root{
    --kolor-podstawowy: #EFE1C4;
    --kolor-uzupelniajacy: #B2C1BC;
    --kolor-ciemny: #002400;
    --kolor-jasny: #FFFFFF;
}

*{
    transition: 1s;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    position: relative;
     font-family: "Outfit", sans-serif;
}

a{
text-decoration: none;
}
img{
    max-width: 100%; 
    height: auto;
}
p{
    line-height: 140%;
}

h1, h2, h3, h4, h5, h6{  font-family: "Italiana", serif;}

h1{
font-size: 70px;
    font-weight: 500;
    color: var(--kolor-ciemny);}
h2{
    font-size: 40px;
    font-weight: 300;
    color: var(--kolor-ciemny);
}
h3{
    font-size: 25px;
    font-weight: 300;
    color: var(--kolor-ciemny);
}
h4{}
h5{}
h6{}

body {
    height: 100%;
    margin: 0;
    background-image: url(../img/tlo.JPG);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}


/*nawigacja */
nav{
    display: flex;
    justify-content: center;
    position: fixed;
    font-weight: 800;
    width: 100%;
    z-index: 1; 
    font-family: "Italiana", serif;
    top: 70px;
}
nav ol {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
}

nav ol li a{
    padding: 10px;
    display: block;
    text-align: center;
}
nav ol li a:hover{
    background-color:var(--kolor-uzupelniajacy);
    border-radius: 40px;
}
nav a {
  color: rgb(0, 0, 0);
}
nav img {
  height: 75px;
  width: auto;
}
/* wszystkie sekcje */
section{
    min-height: 88vh;
    display: flex;
    align-items: center;
    justify-content: center;
    scroll-margin-top: 56px;
    flex-direction: column;
    padding-top: 4vh;
    gap: 4vh;

}
.zawartosc{
    max-width: 1200px;
    width: 100%;
    padding: 20px;
}


/* poszczegolne sekcje */
#pierwsza{
    
}
#pierwsza {
    height: 100vh;         
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
#druga{
   background-color: #EFE1C4;
}
.split-section {
    display: flex;         
    align-items: center;
    gap: 20px; 
    max-width: 1200px;  
    margin: 0 auto;      
    padding: 20px;
}
.right-side {
    flex: 1;              
}

.left-side {
    flex: 1;              
}

.left-side img {
    width: 100%;          
    height: auto;
}
#trzecia{
    max-width: 1200px;  
    margin: 0 auto;      
    padding: 20px;
}
.naglowek {
    font-size: 42px;
    font-weight: 300;
    margin-bottom: 80px;
}
.kamienie-wrapper {
    display: flex;
    justify-content: center;
    gap: 90px;
}

.kamien {
    max-width: 170px;
}

.kamien img {
    width: 200px;
    height: auto;
    margin-bottom: 20px;
}

.kamien h3 {
    letter-spacing: 2px;
    margin-bottom: 15px;
}

.kamien p {
    font-size: 11px;
    line-height: 1.6;
}
#czwarta{
    background-color: #EFE1C4;
}
.split-section {
    display: flex;         
    align-items: center;
    gap: 20px; 
    max-width: 1200px;  
    margin: 0 auto;      
    padding: 20px;
}
.right-side {
    flex: 1;              
}

.left-side {
    flex: 1;              
}

.left-side img {
    width: 100%;          
    height: auto;
}
#piata{
    max-width: 1200px;  
    margin: 0 auto;      
    padding: 20px;
    padding-bottom: 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}
#piata .tekst {
    display: flex;
    flex-direction: row; 
    align-items: flex-start;
    gap: 20px;
    max-width: 1200px;
}

#piata .zdjecie img {
    width: 100%;
    max-width: 1200px; 
    height: auto;
    padding-bottom: 0%;
}
/* stopka */
#stopka{ 
    position: relative;
    background-image: url(../img/stopka.png);
    min-height: 20vh;
    padding: 20px 0 60px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#stopka .zawartosc {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;              
}
#stopka article {
    flex: none;
    padding: 20px;
    text-align: center;
}
#stopka article.contact a {
    display: block;
    padding: 5px 0;
    color: var(--kolor-ciemny);
}
#stopka article.contact a:hover {
    color: var(--kolor-podstawowy);
    text-decoration: underline;
}
#stopka article.social .social-icons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}
#stopka article.social .social-icons a {
    display: inline-block;
    color: var(--kolor-ciemny);
}
#stopka article.social .social-icons a:hover{
    color: var(--kolor-podstawowy);
}
#stopka h6 {
    text-align: center;
    margin-top: 60px; 
    color: var(--kolor-ciemny);
}
#stopka .left-deco{
    position: absolute;
    top: -300px;  
    width: 450px; 
}
#stopka .right-deco {
    position: absolute;
    top: -200px;  
    width: 350px;
    transform: scaleX(-1);
}

#stopka .left-deco {
    left: 0;
}

#stopka .right-deco {
    right: 0;
}
.btn {
    background-color: var(--kolor-ciemny);
    color: white;
    border: none;
    padding: 14px 28px;
    font-size: 16px;
    border-radius: 30px;
    cursor: pointer;
    transition: all 0.5s ease;
}

.btn:hover {
    background-color: var(--kolor-uzupelniajacy);
}
.frame-left,
.frame-right {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 800px;
  background-repeat: no-repeat;
  background-size: contain;
  pointer-events: none;
  z-index: 1000;
}
.frame-left {
  left: 0;
  background-image: url(../img/ramkalewa.png) ;
  background-position: left top;
}
.frame-right {
  right: 0;
  background-image: url(../img/ramka.png);
  background-position: right top;
}
